## python-duo-client 4.5.0

=== requirements.txt ===
six
setuptools

## python-duo-client 4.4.0

=== debian/changelog ===
python-duo-client (4.4.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Jul 2022 14:48:02 -0400

python-duo-client (4.4.0-1) unstable; urgency=low

  * Initial release (Closes: #1014558).

 -- Michael Fladischer <fladi@debian.org>  Thu, 07 Jul 2022 17:25:55 +0000

=== debian/control ===
Source: python-duo-client
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-mock,
 python3-setuptools,
 python3-six,
 python3-tz,
Standards-Version: 4.6.1.0
Homepage: https://github.com/duosecurity/duo_client_python/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-duo-client
Vcs-Git: https://salsa.debian.org/python-team/packages/python-duo-client.git
Rules-Requires-Root: no

Package: python3-duo-client
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Interact with the Duo Auth, Admin, and Accounts APIs (Python3 version)
 Python library for interacting with the Duo Auth, Admin, and Accounts APIs. The
 Duo Auth API is a low-level, RESTful API for adding strong two-factor
 authentication to your website or application. The Duo Admin API provides
 programmatic access to the administrative functionality of Duo Security's
 two-factor authentication platform. The Accounts API allows Duo Beyond, Access,
 and MFA customers to create, manage, and delete additional related Duo Security
 customer accounts.
 .
 This package contains the Python 3 version of the library.

## python-duo-client 4.5.0

=== debian/changelog ===
python-duo-client (4.5.0-1) unstable; urgency=low

  * New upstream release.
  * Add python3-freezegun to Build-Depends, required by tests.

 -- Michael Fladischer <fladi@debian.org>  Wed, 26 Oct 2022 15:29:15 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-freezegun,
  python3-mock,
  python3-setuptools,
  python3-six,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=duo-client

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-duo-client 5.0.1

=== debian/changelog ===
python-duo-client (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.
  * Build using pybuild-plugin-pyproject.
  * Use pytest to run tests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 20 Jun 2023 14:05:57 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-freezegun,
  python3-mock,
+ python3-pytest,
  python3-setuptools,
  python3-six,
  python3-tz,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/duosecurity/duo_client_python/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-duo-client
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-duo-client.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=duo-client
+export PYBUILD_TEST_ARGS=-k 'not test_server_hostname'
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-duo-client 5.3.0

=== debian/changelog ===
python-duo-client (5.3.0-3) unstable; urgency=medium

  * Team upload.
  * Drop python3-mock dependency

 -- Alexandre Detiste <tchet@debian.org>  Sun, 12 Jan 2025 15:09:45 +0100

python-duo-client (5.3.0-2) unstable; urgency=medium

  * Team Upload
  * Don't generate a dependency on python3-pkg-resources (Closes: #1083633)
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Dec 2024 13:21:54 +0100

python-duo-client (5.3.0-1) unstable; urgency=low

  * New upstream version 5.3.0
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 10 Apr 2024 15:18:08 +0000

python-duo-client (5.2.0-1) unstable; urgency=medium

  * New upstream version 5.2.0
  * Ignore tests/accountAdmin/test_billing.py when running tests as it
    required network connectivity.

 -- Michael Fladischer <fladi@debian.org>  Sat, 28 Oct 2023 15:38:56 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-freezegun,
- python3-mock,
  python3-pytest,
  python3-setuptools,
  python3-six,

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 @,
 python3-freezegun,
 python3-pytest,
 python3-tz,
Restrictions: allow-stderr

## python-duo-client 5.4.0

=== debian/changelog ===
python-duo-client (5.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.4.0
  * Remove build-dep on six
  * Reformat debian/tests/control with debputy
  * Rename & refresh pkg_resources.patch

 -- Alexandre Detiste <tchet@debian.org>  Fri, 21 Feb 2025 08:30:36 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
  python3-freezegun,
  python3-pytest,
  python3-setuptools,
- python3-six,
  python3-tz,
 Standards-Version: 4.6.2
 Homepage: https://github.com/duosecurity/duo_client_python/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-duo-client
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-duo-client.git
 Rules-Requires-Root: no
+X-Style: black
 
 Package: python3-duo-client
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/python-duo-client-$1.tar.gz/ \
https://github.com/duosecurity/duo_client_python/tags \
/duosecurity/duo_client_python/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-duo-client 5.5.0

=== debian/changelog ===
python-duo-client (5.5.0-3) unstable; urgency=medium

  * Team upload.
  * Apply Multi-Arch: hint
  * Fix example files permission "lintian: executable-not-elf-or-script"

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Nov 2025 14:52:35 +0100

python-duo-client (5.5.0-2) unstable; urgency=medium

  * Team upload.
  * Drop "Rules-Requires-Root: no": it is the default now
  * Replace transitional python3-tz with python3-pytz
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Fri, 28 Nov 2025 08:03:00 +0100

python-duo-client (5.5.0-1) unstable; urgency=low

  * New upstream version 5.5.0
  * Refresh patches.
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 02 Apr 2025 09:13:54 +0000

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,17 @@
  python3-all,
  python3-freezegun,
  python3-pytest,
+ python3-pytz,
  python3-setuptools,
- python3-tz,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/duosecurity/duo_client_python/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-duo-client
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-duo-client.git
-Rules-Requires-Root: no
 X-Style: black
 
 Package: python3-duo-client
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=duo-client
export PYBUILD_TEST_ARGS=-k 'not test_server_hostname' --ignore=tests/accountAdmin/test_billing.py

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_installexamples:
	chmod -x debian/*/usr/share/doc/python3-duo-client/examples/Admin/policies_advanced.py
	chmod -x debian/*/usr/share/doc/python3-duo-client/examples/Admin/update_phone_names.py

=== debian/watch ===
Version: 5

Template: GitHub
Owner: duosecurity
Project: duo_client_python
